Bug 2239850 - CVE-2023-4504 libppd: cups, libppd: Postscript Parsing Heap Overflow [fedora-38]
Summary: CVE-2023-4504 libppd: cups, libppd: Postscript Parsing Heap Overflow [fedora-38]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libppd
Version: 38
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-4504
TreeView+ depends on / blocked
 
Reported: 2023-09-20 14:00 UTC by Sandipan Roy
Modified: 2023-09-29 00:19 UTC (History)
1 user (show)

Fixed In Version: libppd-2.0~rc2-4.fc38 libppd-2.0~rc2-4.fc39
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-26 01:21:56 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2023-09-20 14:00:24 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2238509

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Sandipan Roy 2023-09-20 14:00:27 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2238509,2239850

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-09-20 15:25:52 UTC
FEDORA-2023-52aa3d1a4f has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-52aa3d1a4f

Comment 3 Fedora Update System 2023-09-20 15:38:31 UTC
FEDORA-2023-00484b4120 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-00484b4120

Comment 4 Fedora Update System 2023-09-21 01:11:42 UTC
FEDORA-2023-52aa3d1a4f has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-52aa3d1a4f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-52aa3d1a4f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-09-21 02:22:24 UTC
FEDORA-2023-00484b4120 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-00484b4120`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-00484b4120

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-09-26 01:21:56 UTC
FEDORA-2023-00484b4120 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-09-29 00:19:15 UTC
FEDORA-2023-52aa3d1a4f has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.